### Enumeration

# WebKit AutoplayPolicy

since: 2.30

#### Declaration

    enum WebKit.AutoplayPolicy

#### Description [src]

Enum values used to specify autoplay policies.

Available since: 2.30

#### Members

`WEBKIT_AUTOPLAY_ALLOW`

  Do not restrict autoplay.

  - Value: `0`
  - Available since: 2.30
`WEBKIT_AUTOPLAY_ALLOW_WITHOUT_SOUND`

  Allow videos to autoplay if they have no audio track, or if their audio track is muted.

  - Value: `1`
  - Available since: 2.30
`WEBKIT_AUTOPLAY_DENY`

  Never allow autoplay.

  - Value: `2`
  - Available since: 2.30